Videoslash API
Creative Studio

List Creative Studio generations

GET
/v1/creative-studio/generations

List recent Creative Studio generations started through the public API.

Requires an API key with the creative:generate scope.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Create a key in your Account settings.

Pass the full key in the Authorization header:

Authorization: Bearer vsl_...

Keys are shown only once at creation. Treat them like passwords.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/creative-studio/generations"
[  {    "id": "string",    "status": "processing",    "assetType": "image",    "generationType": "string",    "modelId": "string",    "modelName": "string",    "prompt": "string",    "parameters": {},    "mediaUrls": {},    "outputUrl": "http://example.com",    "error": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]
{  "error": {    "code": "missing_api_key",    "message": "string"  }}
{  "error": {    "code": "missing_api_key",    "message": "string"  }}
{  "error": {    "code": "missing_api_key",    "message": "string"  }}